Runtime

## org.eclipse.gmf.runtime.draw2d.ui.geometry
Class LineSeg.Sign

    java.lang.Object
      org.eclipse.gmf.runtime.draw2d.ui.geometry.LineSeg.Sign

Enclosing class:
  LineSeg

    public static class LineSeg.Sign

extends java.lang.Object

Enumeration class for defining the orientations of a point relative to the line segment. The orientations can be one of `POSITIVE` or `NEGATIVE`.

Field Summary
`static LineSeg.Sign` `NEGATIVE` Constant designating an orientation that is negative relative to the lineseg vector.
`static LineSeg.Sign` `POSITIVE` Constant designating an orientation that is position relative to the lineseg vector.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### POSITIVE

    public static final LineSeg.Sign POSITIVE

  Constant designating an orientation that is position relative to the lineseg vector.

### NEGATIVE

    public static final LineSeg.Sign NEGATIVE

  Constant designating an orientation that is negative relative to the lineseg vector.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.